[arch-commits] Commit in libgpod/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Jan de Groot jgc at archlinux.org
Mon Apr 20 17:52:49 EDT 2009


    Date: Monday, April 20, 2009 @ 17:52:49
  Author: jgc
Revision: 36300

Fix Allans mess here also

Modified:
  libgpod/repos/extra-x86_64/	(properties)
  libgpod/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   21 ++++++++++-----------
 1 file changed, 10 insertions(+), 11 deletions(-)


Property changes on: libgpod/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /libgpod/trunk:1-29982
   + /libgpod/trunk:1-36299

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-20 21:49:49 UTC (rev 36299)
+++ extra-x86_64/PKGBUILD	2009-04-20 21:52:49 UTC (rev 36300)
@@ -4,24 +4,23 @@
 
 pkgname=libgpod
 pkgver=0.7.0
-pkgrel=1
+pkgrel=2
 pkgdesc="libgpod is a shared library to access the contents of an iPod"
 arch=(i686 x86_64)
 license=('LGPL')
-depends=('gtk2>=2.10.14' 'mutagen' 'sg3_utils')
-makedepends=('perlxml' 'swig' 'docbook-xsl')
+depends=('gtk2>=2.16.1' 'mutagen' 'sg3_utils>=1.27')
+makedepends=('intltool' 'swig' 'docbook-xsl' 'pygobject')
 url="http://www.gtkpod.org/libgpod.html"
-source=(http://downloads.sourceforge.net/sourceforge/gtkpod/${pkgname}-${pkgver}.tar.gz 
+source=(http://downloads.sourceforge.net/sourceforge/gtkpod/${pkgname}-${pkgver}.tar.gz
 	add_string.patch)
 options=(!libtool)
+md5sums=('34eba68a6037e6b2feda20f46d1dbfb8'
+         '0accf863699c12ae538df9e70467df06')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  patch -Np0 -i ../add_string.patch || return 1
-  ./configure --prefix=/usr
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np0 -i "${srcdir}/add_string.patch" || return 1
+  ./configure --prefix=/usr || return 1
   make PREFIX=/usr || return 1
-  make PREFIX=/usr DESTDIR=${startdir}/pkg install || return 1
-  sed -i -e 's|glib-2.0|gobject-2.0|' ${startdir}/pkg/usr/lib/pkgconfig/libgpod-1.0.pc
+  make PREFIX=/usr DESTDIR="${pkgdir}" install || return 1
 }
-md5sums=('34eba68a6037e6b2feda20f46d1dbfb8'
-         '0accf863699c12ae538df9e70467df06')



More information about the arch-commits mailing list